Index: pjproject/trunk/pjsip/src/pjsua2/endpoint.cpp
===================================================================
--- pjproject/trunk/pjsip/src/pjsua2/endpoint.cpp	(revision 6025)
+++ pjproject/trunk/pjsip/src/pjsua2/endpoint.cpp	(revision 6026)
@@ -224,5 +224,5 @@
 }
 
-void UaConfig::readObject(const ContainerNode &node) throw(Error)
+void UaConfig::readObject(const ContainerNode &node) PJSUA2_THROW(Error)
 {
     ContainerNode this_node = node.readContainer("UaConfig");
@@ -240,5 +240,5 @@
 }
 
-void UaConfig::writeObject(ContainerNode &node) const throw(Error)
+void UaConfig::writeObject(ContainerNode &node) const PJSUA2_THROW(Error)
 {
     ContainerNode this_node = node.writeNewContainer("UaConfig");
@@ -293,5 +293,5 @@
 }
 
-void LogConfig::readObject(const ContainerNode &node) throw(Error)
+void LogConfig::readObject(const ContainerNode &node) PJSUA2_THROW(Error)
 {
     ContainerNode this_node = node.readContainer("LogConfig");
@@ -305,5 +305,5 @@
 }
 
-void LogConfig::writeObject(ContainerNode &node) const throw(Error)
+void LogConfig::writeObject(ContainerNode &node) const PJSUA2_THROW(Error)
 {
     ContainerNode this_node = node.writeNewContainer("LogConfig");
@@ -387,5 +387,5 @@
 }
 
-void MediaConfig::readObject(const ContainerNode &node) throw(Error)
+void MediaConfig::readObject(const ContainerNode &node) PJSUA2_THROW(Error)
 {
     ContainerNode this_node = node.readContainer("MediaConfig");
@@ -416,5 +416,5 @@
 }
 
-void MediaConfig::writeObject(ContainerNode &node) const throw(Error)
+void MediaConfig::writeObject(ContainerNode &node) const PJSUA2_THROW(Error)
 {
     ContainerNode this_node = node.writeNewContainer("MediaConfig");
@@ -447,5 +447,5 @@
 ///////////////////////////////////////////////////////////////////////////////
 
-void EpConfig::readObject(const ContainerNode &node) throw(Error)
+void EpConfig::readObject(const ContainerNode &node) PJSUA2_THROW(Error)
 {
     ContainerNode this_node = node.readContainer("EpConfig");
@@ -455,5 +455,5 @@
 }
 
-void EpConfig::writeObject(ContainerNode &node) const throw(Error)
+void EpConfig::writeObject(ContainerNode &node) const PJSUA2_THROW(Error)
 {
     ContainerNode this_node = node.writeNewContainer("EpConfig");
@@ -490,5 +490,5 @@
 }
 
-Endpoint& Endpoint::instance() throw(Error)
+Endpoint& Endpoint::instance() PJSUA2_THROW(Error)
 {
     if (!instance_) {
@@ -1617,5 +1617,5 @@
 }
 
-void Endpoint::libCreate() throw(Error)
+void Endpoint::libCreate() PJSUA2_THROW(Error)
 {
     PJSUA2_CHECK_EXPR( pjsua_create() );
@@ -1631,5 +1631,5 @@
 }
 
-void Endpoint::libInit(const EpConfig &prmEpConfig) throw(Error)
+void Endpoint::libInit(const EpConfig &prmEpConfig) PJSUA2_THROW(Error)
 {
     pjsua_config ua_cfg;
@@ -1718,10 +1718,10 @@
 }
 
-void Endpoint::libStart() throw(Error)
+void Endpoint::libStart() PJSUA2_THROW(Error)
 {
     PJSUA2_CHECK_EXPR(pjsua_start());
 }
 
-void Endpoint::libRegisterThread(const string &name) throw(Error)
+void Endpoint::libRegisterThread(const string &name) PJSUA2_THROW(Error)
 {
     pj_thread_t *thread;
@@ -1774,5 +1774,5 @@
 }
 
-void Endpoint::libDestroy(unsigned flags) throw(Error)
+void Endpoint::libDestroy(unsigned flags) PJSUA2_THROW(Error)
 {
     pj_status_t status;
@@ -1856,5 +1856,5 @@
 
 Token Endpoint::utilTimerSchedule(unsigned prmMsecDelay,
-                                  Token prmUserData) throw (Error)
+                                  Token prmUserData) PJSUA2_THROW(Error)
 {
     UserTimer *ut;
@@ -1898,5 +1898,5 @@
 }
 
-IntVector Endpoint::utilSslGetAvailableCiphers() throw (Error)
+IntVector Endpoint::utilSslGetAvailableCiphers() PJSUA2_THROW(Error)
 {
 #if PJ_HAS_SSL_SOCK
@@ -1916,10 +1916,10 @@
  * Endpoint NAT operations
  */
-void Endpoint::natDetectType(void) throw(Error)
+void Endpoint::natDetectType(void) PJSUA2_THROW(Error)
 {
     PJSUA2_CHECK_EXPR( pjsua_detect_nat_type() );
 }
 
-pj_stun_nat_type Endpoint::natGetType() throw(Error)
+pj_stun_nat_type Endpoint::natGetType() PJSUA2_THROW(Error)
 {
     pj_stun_nat_type type;
@@ -1931,5 +1931,5 @@
 
 void Endpoint::natUpdateStunServers(const StringVector &servers,
-				    bool wait) throw(Error)
+				    bool wait) PJSUA2_THROW(Error)
 {
     pj_str_t srv[MAX_STUN_SERVERS];
@@ -1947,5 +1947,5 @@
 void Endpoint::natCheckStunServers(const StringVector &servers,
 				   bool wait,
-				   Token token) throw(Error)
+				   Token token) PJSUA2_THROW(Error)
 {
     pj_str_t srv[MAX_STUN_SERVERS];
@@ -1963,5 +1963,5 @@
 
 void Endpoint::natCancelCheckStunServers(Token token,
-                                         bool notify_cb) throw(Error)
+                                         bool notify_cb) PJSUA2_THROW(Error)
 {
     PJSUA2_CHECK_EXPR( pjsua_cancel_stun_resolution(token, notify_cb) );
@@ -1973,5 +1973,6 @@
  */
 TransportId Endpoint::transportCreate(pjsip_transport_type_e type,
-                                      const TransportConfig &cfg) throw(Error)
+                                      const TransportConfig &cfg)
+				      PJSUA2_THROW(Error)
 {
     pjsua_transport_config tcfg;
@@ -1985,5 +1986,5 @@
 }
 
-IntVector Endpoint::transportEnum() throw(Error)
+IntVector Endpoint::transportEnum() PJSUA2_THROW(Error)
 {
     pjsua_transport_id tids[32];
@@ -1995,5 +1996,5 @@
 }
 
-TransportInfo Endpoint::transportGetInfo(TransportId id) throw(Error)
+TransportInfo Endpoint::transportGetInfo(TransportId id) PJSUA2_THROW(Error)
 {
     pjsua_transport_info pj_tinfo;
@@ -2006,15 +2007,16 @@
 }
 
-void Endpoint::transportSetEnable(TransportId id, bool enabled) throw(Error)
+void Endpoint::transportSetEnable(TransportId id, bool enabled)
+				  PJSUA2_THROW(Error)
 {
     PJSUA2_CHECK_EXPR( pjsua_transport_set_enable(id, enabled) );
 }
 
-void Endpoint::transportClose(TransportId id) throw(Error)
+void Endpoint::transportClose(TransportId id) PJSUA2_THROW(Error)
 {
     PJSUA2_CHECK_EXPR( pjsua_transport_close(id, PJ_FALSE) );
 }
 
-void Endpoint::transportShutdown(TransportHandle tp) throw(Error)
+void Endpoint::transportShutdown(TransportHandle tp) PJSUA2_THROW(Error)
 {
     PJSUA2_CHECK_EXPR( pjsip_transport_shutdown((pjsip_transport *)tp) );
@@ -2045,10 +2047,10 @@
 }
 
-const AudioMediaVector &Endpoint::mediaEnumPorts() const throw(Error)
+const AudioMediaVector &Endpoint::mediaEnumPorts() const PJSUA2_THROW(Error)
 {
     return mediaList;
 }
 
-AudioMediaVector2 Endpoint::mediaEnumPorts2() const throw(Error)
+AudioMediaVector2 Endpoint::mediaEnumPorts2() const PJSUA2_THROW(Error)
 {
     AudioMediaVector2 amv2;
@@ -2066,5 +2068,5 @@
 }
 
-VideoMediaVector Endpoint::mediaEnumVidPorts() const throw(Error)
+VideoMediaVector Endpoint::mediaEnumVidPorts() const PJSUA2_THROW(Error)
 {
 #if PJSUA_HAS_VIDEO
@@ -2140,5 +2142,5 @@
  * Codec operations.
  */
-const CodecInfoVector &Endpoint::codecEnum() throw(Error)
+const CodecInfoVector &Endpoint::codecEnum() PJSUA2_THROW(Error)
 {
     pjsua_codec_info pj_codec[MAX_CODEC_NUM];
@@ -2151,5 +2153,5 @@
 }
 
-CodecInfoVector2 Endpoint::codecEnum2() const throw(Error)
+CodecInfoVector2 Endpoint::codecEnum2() const PJSUA2_THROW(Error)
 {
     CodecInfoVector2 civ2;
@@ -2167,5 +2169,5 @@
 
 void Endpoint::codecSetPriority(const string &codec_id,
-			        pj_uint8_t priority) throw(Error)
+			        pj_uint8_t priority) PJSUA2_THROW(Error)
 {
     pj_str_t codec_str = str2Pj(codec_id);
@@ -2173,5 +2175,6 @@
 }
 
-CodecParam Endpoint::codecGetParam(const string &codec_id) const throw(Error)
+CodecParam Endpoint::codecGetParam(const string &codec_id) const
+				   PJSUA2_THROW(Error)
 {
     CodecParam param;
@@ -2186,5 +2189,5 @@
 
 void Endpoint::codecSetParam(const string &codec_id,
-			     const CodecParam param) throw(Error)
+			     const CodecParam param) PJSUA2_THROW(Error)
 {
     pj_str_t codec_str = str2Pj(codec_id);
@@ -2202,5 +2205,6 @@
 }
 
-void Endpoint::updateCodecInfoList(pjsua_codec_info pj_codec[], unsigned count,
+void Endpoint::updateCodecInfoList(pjsua_codec_info pj_codec[],
+				   unsigned count,
 				   CodecInfoVector &codec_list)
 {
@@ -2216,5 +2220,5 @@
 }
 
-const CodecInfoVector &Endpoint::videoCodecEnum() throw(Error)
+const CodecInfoVector &Endpoint::videoCodecEnum() PJSUA2_THROW(Error)
 {
 #if PJSUA_HAS_VIDEO
@@ -2229,5 +2233,5 @@
 }
 
-CodecInfoVector2 Endpoint::videoCodecEnum2() const throw(Error)
+CodecInfoVector2 Endpoint::videoCodecEnum2() const PJSUA2_THROW(Error)
 {
     CodecInfoVector2 civ2;
@@ -2247,5 +2251,5 @@
 
 void Endpoint::videoCodecSetPriority(const string &codec_id,
-				     pj_uint8_t priority) throw(Error)
+				     pj_uint8_t priority) PJSUA2_THROW(Error)
 {
 #if PJSUA_HAS_VIDEO
@@ -2259,5 +2263,5 @@
 
 VidCodecParam Endpoint::getVideoCodecParam(const string &codec_id) const 
-								   throw(Error)
+					   PJSUA2_THROW(Error)
 {    
     VidCodecParam codec_param;
@@ -2275,5 +2279,6 @@
 
 void Endpoint::setVideoCodecParam(const string &codec_id,
-				  const VidCodecParam &param) throw(Error)
+				  const VidCodecParam &param)
+				  PJSUA2_THROW(Error)
 {
 #if PJSUA_HAS_VIDEO
@@ -2288,5 +2293,6 @@
 }
 
-void Endpoint::resetVideoCodecParam(const string &codec_id) throw(Error)
+void Endpoint::resetVideoCodecParam(const string &codec_id)
+				    PJSUA2_THROW(Error)
 {
 #if PJSUA_HAS_VIDEO
@@ -2302,5 +2308,5 @@
  * Enumerate all SRTP crypto-suite names.
  */
-StringVector Endpoint::srtpCryptoEnum() throw(Error)
+StringVector Endpoint::srtpCryptoEnum() PJSUA2_THROW(Error)
 {
     StringVector result;
@@ -2318,5 +2324,5 @@
 }
 
-void Endpoint::handleIpChange(const IpChangeParam &param) throw(Error)
+void Endpoint::handleIpChange(const IpChangeParam &param) PJSUA2_THROW(Error)
 {
     pjsua_ip_change_param ip_change_param = param.toPj();
Index: pjproject/trunk/pjsip/src/pjsua2/json.cpp
===================================================================
--- pjproject/trunk/pjsip/src/pjsua2/json.cpp	(revision 6025)
+++ pjproject/trunk/pjsip/src/pjsua2/json.cpp	(revision 6026)
@@ -30,45 +30,45 @@
 static bool		jsonNode_hasUnread(const ContainerNode*);
 static string		jsonNode_unreadName(const ContainerNode*n)
-				            throw(Error);
+				            PJSUA2_THROW(Error);
 static float		jsonNode_readNumber(const ContainerNode*,
             		                    const string&)
-					      throw(Error);
+					      PJSUA2_THROW(Error);
 static bool		jsonNode_readBool(const ContainerNode*,
            		                  const string&)
-					  throw(Error);
+					  PJSUA2_THROW(Error);
 static string		jsonNode_readString(const ContainerNode*,
              		                    const string&)
-					    throw(Error);
+					    PJSUA2_THROW(Error);
 static StringVector	jsonNode_readStringVector(const ContainerNode*,
                    	                          const string&)
-						  throw(Error);
+						  PJSUA2_THROW(Error);
 static ContainerNode	jsonNode_readContainer(const ContainerNode*,
                     	                       const string &)
-					       throw(Error);
+					       PJSUA2_THROW(Error);
 static ContainerNode	jsonNode_readArray(const ContainerNode*,
                     	                   const string &)
-					   throw(Error);
+					   PJSUA2_THROW(Error);
 static void		jsonNode_writeNumber(ContainerNode*,
            		                     const string &name,
            		                     float num)
-           		                     throw(Error);
+           		                     PJSUA2_THROW(Error);
 static void		jsonNode_writeBool(ContainerNode*,
            		                   const string &name,
            		                   bool value)
-					   throw(Error);
+					   PJSUA2_THROW(Error);
 static void		jsonNode_writeString(ContainerNode*,
            		                     const string &name,
            		                     const string &value)
-					     throw(Error);
+					     PJSUA2_THROW(Error);
 static void		jsonNode_writeStringVector(ContainerNode*,
            		                           const string &name,
            		                           const StringVector &value)
-					           throw(Error);
+					           PJSUA2_THROW(Error);
 static ContainerNode 	jsonNode_writeNewContainer(ContainerNode*,
                      	                           const string &name)
-					           throw(Error);
+					           PJSUA2_THROW(Error);
 static ContainerNode 	jsonNode_writeNewArray(ContainerNode*,
                      	                       const string &name)
-					       throw(Error);
+					       PJSUA2_THROW(Error);
 
 static container_node_op json_op =
@@ -115,5 +115,5 @@
 }
 
-void JsonDocument::loadFile(const string &filename) throw(Error)
+void JsonDocument::loadFile(const string &filename) PJSUA2_THROW(Error)
 {
     if (root)
@@ -175,5 +175,5 @@
 }
 
-void JsonDocument::loadString(const string &input) throw(Error)
+void JsonDocument::loadString(const string &input) PJSUA2_THROW(Error)
 {
     if (root)
@@ -215,5 +215,5 @@
 }
 
-void JsonDocument::saveFile(const string &filename) throw(Error)
+void JsonDocument::saveFile(const string &filename) PJSUA2_THROW(Error)
 {
     struct save_file_data sd;
@@ -248,5 +248,5 @@
 }
 
-string JsonDocument::saveString() throw(Error)
+string JsonDocument::saveString() PJSUA2_THROW(Error)
 {
     struct save_string_data sd;
@@ -334,5 +334,5 @@
 
 static string jsonNode_unreadName(const ContainerNode *node)
-				  throw(Error)
+				  PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -343,5 +343,5 @@
 static float jsonNode_readNumber(const ContainerNode *node,
             		         const string &name)
-				 throw(Error)
+				 PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -353,5 +353,5 @@
 static bool jsonNode_readBool(const ContainerNode *node,
 			      const string &name)
-			      throw(Error)
+			      PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -363,5 +363,5 @@
 static string jsonNode_readString(const ContainerNode *node,
 				  const string &name)
-				  throw(Error)
+				  PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -373,5 +373,5 @@
 static StringVector jsonNode_readStringVector(const ContainerNode *node,
                    	                      const string &name)
-					      throw(Error)
+					      PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -399,5 +399,5 @@
 static ContainerNode jsonNode_readContainer(const ContainerNode *node,
                     	                    const string &name)
-					    throw(Error)
+					    PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -417,5 +417,5 @@
 static ContainerNode jsonNode_readArray(const ContainerNode *node,
                     	                const string &name)
-					throw(Error)
+					PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -443,5 +443,5 @@
            		         const string &name,
            		         float num)
-           		         throw(Error)
+           		         PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -455,5 +455,5 @@
            		       const string &name,
            		       bool value)
-			       throw(Error)
+			       PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -467,5 +467,5 @@
            		         const string &name,
            		         const string &value)
-				 throw(Error)
+				 PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -482,5 +482,5 @@
            		               const string &name,
            		               const StringVector &value)
-				       throw(Error)
+				       PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -503,5 +503,5 @@
 static ContainerNode jsonNode_writeNewContainer(ContainerNode *node,
                      	                        const string &name)
-					        throw(Error)
+					        PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
@@ -524,5 +524,5 @@
 static ContainerNode jsonNode_writeNewArray(ContainerNode *node,
                      	                    const string &name)
-					    throw(Error)
+					    PJSUA2_THROW(Error)
 {
     json_node_data *jdat = (json_node_data*)&node->data;
